## DzlSuggestionRow

DzlSuggestionRow

## Functions

GtkWidget * | dzl_suggestion_row_new ()
DzlSuggestion * | dzl_suggestion_row_get_suggestion ()
void | dzl_suggestion_row_set_suggestion ()

## Properties

GtkOrientation | orientation | Read / Write
DzlSuggestion * | suggestion | Read / Write

## Types and Values

#define | DZL_TYPE_SUGGESTION_ROW
struct | DzlSuggestionRowClass
| DzlSuggestionRow

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkListBoxRow
                            ╰── DzlListBoxRow
                                ╰── DzlSuggestionRow

## Implemented Interfaces

DzlSuggestionRow implements AtkImplementorIface, GtkBuildable, GtkActionable and GtkOrientable.

## Description

## Functions

### dzl_suggestion_row_new ()

    GtkWidget *
    dzl_suggestion_row_new (void);

### dzl_suggestion_row_get_suggestion ()

    DzlSuggestion *
    dzl_suggestion_row_get_suggestion (DzlSuggestionRow *self);

Gets the suggestion to be displayed.

#### Parameters

self | a DzlSuggestionRow |

#### Returns

An DzlSuggestion.

[transfer none]

### dzl_suggestion_row_set_suggestion ()

    void
    dzl_suggestion_row_set_suggestion (DzlSuggestionRow *self,
                                       DzlSuggestion *suggestion);

## Types and Values

### DZL_TYPE_SUGGESTION_ROW

    #define DZL_TYPE_SUGGESTION_ROW (dzl_suggestion_row_get_type())

### struct DzlSuggestionRowClass

    struct DzlSuggestionRowClass {
      DzlListBoxRowClass parent_class;
    };

### DzlSuggestionRow

    typedef struct _DzlSuggestionRow DzlSuggestionRow;

## Property Details

### The `“orientation”` property

      “orientation”              GtkOrientation

Orientation.

Owner: DzlSuggestionRow

Flags: Read / Write

Default value: GTK_ORIENTATION_VERTICAL

### The `“suggestion”` property

      “suggestion”               DzlSuggestion *

The suggestion to display.

Owner: DzlSuggestionRow

Flags: Read / Write